diff -u apcupsd-3.14.0/src/win32/Makefile apcupsd-3.14.0/src/win32/Makefile
--- apcupsd-3.14.0/src/win32/Makefile
+++ apcupsd-3.14.0/src/win32/Makefile
@@ -9,7 +9,7 @@
 # Configuration
 VERSION = 3.14.0
 
-TOPDIR = /tmp
+TOPDIR = /home/luk/tmp/bsp
 CROSSTOOLS = $(TOPDIR)/cross-tools
 MINGW = $(CROSSTOOLS)/mingw32
 INCLUDE_MINGW = -I $(MINGW)/mingw32/include
diff -u apcupsd-3.14.0/debian/control apcupsd-3.14.0/debian/control
--- apcupsd-3.14.0/debian/control
+++ apcupsd-3.14.0/debian/control
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Samuele Giovanni Tonon <samu@debian.org>
-Build-Depends: debhelper (>> 4.0.0), dpatch, libgd2-noxpm-dev , tcpd, libncurses5-dev | libncurses-dev, libssl-dev (>= 0.9.8-1), libsnmp9-dev, libwrap-dev, mawk | awk, po-debconf, texinfo, tetex-bin
+Build-Depends: debhelper (>> 4.0.0), dpatch, libgd2-noxpm-dev , tcpd, libncurses5-dev | libncurses-dev, libssl-dev (>= 0.9.8-1), libsnmp-dev, libwrap-dev, mawk | awk, po-debconf, texinfo, tetex-bin
 Build-Conflicts: pmake
 Standards-Version: 3.7.2
 
diff -u apcupsd-3.14.0/debian/apcupsd.postrm apcupsd-3.14.0/debian/apcupsd.postrm
--- apcupsd-3.14.0/debian/apcupsd.postrm
+++ apcupsd-3.14.0/debian/apcupsd.postrm
@@ -2,8 +2,11 @@
 
 set -e
 
-. /usr/share/debconf/confmodule
-db_version 2.0
+if [ -f /usr/share/debconf/confmodule ]; then
+	. /usr/share/debconf/confmodule
+	db_version 2.0
+	db_purge
+fi
 
 stop_server() {
   set +e
@@ -34,11 +37,5 @@
 esac
 
-# Automatically added by dh_installdebconf
-if [ "$1" = purge ] && [ -e /usr/share/debconf/confmodule ]; then
-	. /usr/share/debconf/confmodule
-	db_purge
-fi  
-# End automatically added section
-
+#DEBHELPER#
 
 exit 0
diff -u apcupsd-3.14.0/debian/changelog apcupsd-3.14.0/debian/changelog
--- apcupsd-3.14.0/debian/changelog
+++ apcupsd-3.14.0/debian/changelog
@@ -1,3 +1,13 @@
+apcupsd (3.14.0-2.1) unstable; urgency=high
+
+  * Non-maintainer upload during BSP.
+  * Fix failure on purge when debconf is not available (Closes: #416642).
+  * Fix removal of rc.d links on purge (Closes: #356749).
+  * Rename libsnmp9-dev build dependency to libsnmp-dev for easier
+    transitions. 
+
+ -- Luk Claes <luk@debian.org>  Wed, 16 May 2007 23:32:21 +0200
+
 apcupsd (3.14.0-2) unstable; urgency=low
 
   * Master/Slave break issue in News (Closes: #414377) (Closes: #413048)
diff -u apcupsd-3.14.0/config.sub apcupsd-3.14.0/config.sub
--- apcupsd-3.14.0/config.sub
+++ apcupsd-3.14.0/config.sub
@@ -4,7 +4,7 @@
 #   2000, 2001, 2002, 2003, 2004, 2005, 2006 Free Software Foundation,
 #   Inc.
 
-timestamp='2006-09-20'
+timestamp='2007-01-18'
 
 # This file is (in principle) common to ALL GNU software.
 # The presence of a machine in this file suggests that SOME GNU software
@@ -245,12 +245,12 @@
 	| bfin \
 	| c4x | clipper \
 	| d10v | d30v | dlx | dsp16xx \
-	| fr30 | frv \
+	| fido | fr30 | frv \
 	| h8300 | h8500 | hppa | hppa1.[01] | hppa2.0 | hppa2.0[nw] | hppa64 \
 	| i370 | i860 | i960 | ia64 \
 	| ip2k | iq2000 \
 	| m32c | m32r | m32rle | m68000 | m68k | m88k \
-	| maxq | mb | microblaze | mcore \
+	| maxq | mb | microblaze | mcore | mep \
 	| mips | mipsbe | mipseb | mipsel | mipsle \
 	| mips16 \
 	| mips64 | mips64el \
@@ -324,7 +324,7 @@
 	| clipper-* | craynv-* | cydra-* \
 	| d10v-* | d30v-* | dlx-* \
 	| elxsi-* \
-	| f30[01]-* | f700-* | fr30-* | frv-* | fx80-* \
+	| f30[01]-* | f700-* | fido-* | fr30-* | frv-* | fx80-* \
 	| h8300-* | h8500-* \
 	| hppa-* | hppa1.[01]-* | hppa2.0-* | hppa2.0[nw]-* | hppa64-* \
 	| i*86-* | i860-* | i960-* | ia64-* \
@@ -925,6 +925,9 @@
 		basic_machine=sh-hitachi
 		os=-hms
 		;;
+	sh5el)
+		basic_machine=sh5le-unknown
+		;;
 	sh64)
 		basic_machine=sh64-unknown
 		;;
@@ -1219,7 +1222,7 @@
 	      | -os2* | -vos* | -palmos* | -uclinux* | -nucleus* \
 	      | -morphos* | -superux* | -rtmk* | -rtmk-nova* | -windiss* \
 	      | -powermax* | -dnix* | -nx6 | -nx7 | -sei* | -dragonfly* \
-	      | -skyos* | -haiku* | -rdos* | -toppers*)
+	      | -skyos* | -haiku* | -rdos* | -toppers* | -drops*)
 	# Remember, each alternative MUST END IN *, to match a version number.
 		;;
 	-qnx*)
@@ -1414,6 +1417,9 @@
 	m68*-cisco)
 		os=-aout
 		;;
+        mep-*)
+		os=-elf
+		;;
 	mips*-cisco)
 		os=-elf
 		;;
diff -u apcupsd-3.14.0/config.guess apcupsd-3.14.0/config.guess
--- apcupsd-3.14.0/config.guess
+++ apcupsd-3.14.0/config.guess
@@ -4,7 +4,7 @@
 #   2000, 2001, 2002, 2003, 2004, 2005, 2006 Free Software Foundation,
 #   Inc.
 
-timestamp='2006-07-02'
+timestamp='2007-03-06'
 
 # This file is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
@@ -161,6 +161,7 @@
 	    arm*) machine=arm-unknown ;;
 	    sh3el) machine=shl-unknown ;;
 	    sh3eb) machine=sh-unknown ;;
+	    sh5el) machine=sh5le-unknown ;;
 	    *) machine=${UNAME_MACHINE_ARCH}-unknown ;;
 	esac
 	# The Operating System including object format, if it has switched
@@ -780,7 +781,7 @@
     i*:CYGWIN*:*)
 	echo ${UNAME_MACHINE}-pc-cygwin
 	exit ;;
-    i*:MINGW*:*)
+    *:MINGW*:*)
 	echo ${UNAME_MACHINE}-pc-mingw32
 	exit ;;
     i*:windows32*:*)
@@ -790,12 +791,15 @@
     i*:PW*:*)
 	echo ${UNAME_MACHINE}-pc-pw32
 	exit ;;
-    x86:Interix*:[3456]*)
-	echo i586-pc-interix${UNAME_RELEASE}
-	exit ;;
-    EM64T:Interix*:[3456]*)
-	echo x86_64-unknown-interix${UNAME_RELEASE}
-	exit ;;
+    *:Interix*:[3456]*)
+    	case ${UNAME_MACHINE} in
+	    x86) 
+		echo i586-pc-interix${UNAME_RELEASE}
+		exit ;;
+	    EM64T | authenticamd)
+		echo x86_64-unknown-interix${UNAME_RELEASE}
+		exit ;;
+	esac ;;
     [345]86:Windows_95:* | [345]86:Windows_98:* | [345]86:Windows_NT:*)
 	echo i${UNAME_MACHINE}-pc-mks
 	exit ;;
@@ -950,6 +954,9 @@
     x86_64:Linux:*:*)
 	echo x86_64-unknown-linux-gnu
 	exit ;;
+    xtensa:Linux:*:*)
+    	echo xtensa-unknown-linux-gnu
+	exit ;;
     i*86:Linux:*:*)
 	# The BFD linker knows what the default object file format is, so
 	# first see if it will tell us. cd to the root directory to prevent
@@ -1208,6 +1215,15 @@
     SX-6:SUPER-UX:*:*)
 	echo sx6-nec-superux${UNAME_RELEASE}
 	exit ;;
+    SX-7:SUPER-UX:*:*)
+	echo sx7-nec-superux${UNAME_RELEASE}
+	exit ;;
+    SX-8:SUPER-UX:*:*)
+	echo sx8-nec-superux${UNAME_RELEASE}
+	exit ;;
+    SX-8R:SUPER-UX:*:*)
+	echo sx8r-nec-superux${UNAME_RELEASE}
+	exit ;;
     Power*:Rhapsody:*:*)
 	echo powerpc-apple-rhapsody${UNAME_RELEASE}
 	exit ;;
